For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
          • Orders
            • GETList Orders
            • POSTCreate Order
            • GETList Order Images
            • GETList Order Products
            • GETGet Order Details
            • GETList Ordered Products
          • Request for Quote
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontOrders

Get Order Details

GET
https://api-b2b.bigcommerce.com/api/v2/orders/:orderId/details
GET
/api/v2/orders/:orderId/details
$curl https://api-b2b.bigcommerce.com/api/v2/orders/1/details \
> -H "Authorization: Bearer <token>"
1{
2 "code": 200,
3 "data": {
4 "id": 123,
5 "customer_id": 456,
6 "date_created": "Thu, 17 Apr 2025 18:00:00 +0000",
7 "is_tax_inclusive_pricing": false,
8 "date_modified": "Thu, 17 Apr 2025 19:08:55 +0000",
9 "date_shipped": "",
10 "status_id": 11,
11 "status": "Awaiting Fulfillment",
12 "subtotal_ex_tax": "45.00",
13 "subtotal_inc_tax": "48.71",
14 "subtotal_tax": "3.71",
15 "base_shipping_cost": "0.00",
16 "shipping_cost_ex_tax": "0.00",
17 "shipping_cost_inc_tax": "0.00",
18 "shipping_cost_tax": "0.00",
19 "shipping_cost_tax_class_id": 0,
20 "base_handling_cost": "0.00",
21 "handling_cost_ex_tax": "0.00",
22 "handling_cost_inc_tax": "0.00",
23 "handling_cost_tax": "0.00",
24 "handling_cost_tax_class_id": 0,
25 "base_wrapping_cost": "0.00",
26 "wrapping_cost_ex_tax": "0.00",
27 "wrapping_cost_inc_tax": "0.00",
28 "wrapping_cost_tax": "0.00",
29 "wrapping_cost_tax_class_id": 0,
30 "total_ex_tax": "45.00",
31 "total_inc_tax": "48.71",
32 "total_tax": "3.71",
33 "items_total": 2,
34 "items_shipped": 0,
35 "payment_method": "PO Number / Reference #",
36 "payment_status": "",
37 "refunded_amount": "0.00",
38 "order_is_digital": false,
39 "store_credit_amount": "0.00",
40 "gift_certificate_amount": "0.00",
41 "ip_address": "1.23.456.789",
42 "geoip_country": "United States",
43 "geoip_country_iso2": "US",
44 "currency_id": 1,
45 "currency_code": "USD",
46 "currency_exchange_rate": "1.00",
47 "default_currency_id": 1,
48 "default_currency_code": "USD",
49 "staff_notes": "",
50 "customer_message": "Please ship as soon as possible.",
51 "discount_amount": "0.00",
52 "coupon_discount": "0.00",
53 "shipping_address_count": 1,
54 "is_deleted": false,
55 "ebay_order_id": "0",
56 "cart_id": "095a15a6-8a27-4c20-b357-36b82e9d5929",
57 "billing_address": {
58 "company": "Great Buys Incorporated",
59 "city": "Austin",
60 "state": "Texas",
61 "zip": "78704",
62 "country": "United States",
63 "country_iso2": "US",
64 "phone": "(512) 333-3333",
65 "email": "mcurie@greatbuysinc.com",
66 "form_fields": [],
67 "first_name": "Marie",
68 "last_name": "Curie",
69 "street_1": "512 Bluebonnet Lane",
70 "street_2": "Suite 100"
71 },
72 "is_email_opt_in": false,
73 "order_source": "www",
74 "channel_id": 1,
75 "external_source": "",
76 "products": [
77 {
78 "id": 12345,
79 "order_id": 123,
80 "product_id": "98765",
81 "variant_id": "74768",
82 "order_address_id": 85,
83 "name": "Sansevieria",
84 "name_customer": "Sansevieria",
85 "name_merchant": "Sansevieria",
86 "sku": "SAN-PL",
87 "upc": "",
88 "type": "physical",
89 "base_price": "24.75",
90 "price_ex_tax": "24.75",
91 "price_inc_tax": "26.50",
92 "price_tax": "1.75",
93 "base_total": "49.50",
94 "total_ex_tax": "49.50",
95 "total_inc_tax": "53.00",
96 "total_tax": "3.50",
97 "weight": "1.50",
98 "width": "10.00",
99 "height": "5.00",
100 "depth": "3.00",
101 "quantity": 2,
102 "base_cost_price": "20.00",
103 "cost_price_inc_tax": "21.60",
104 "cost_price_ex_tax": "20.00",
105 "cost_price_tax": "1.60",
106 "is_refunded": false,
107 "quantity_refunded": 0,
108 "refund_amount": "0.00",
109 "return_id": 0,
110 "wrapping_name": "",
111 "base_wrapping_cost": "0.00",
112 "wrapping_cost_ex_tax": "0.00",
113 "wrapping_cost_inc_tax": "0.00",
114 "wrapping_cost_tax": "0.00",
115 "wrapping_message": "",
116 "quantity_shipped": 0,
117 "event_date": "",
118 "fixed_shipping_cost": "0.00",
119 "ebay_item_id": "",
120 "ebay_transaction_id": "",
121 "option_set_id": 0,
122 "is_bundled_product": false,
123 "bin_picking_number": "",
124 "fulfillment_source": "",
125 "brand": "Green Thumb Nursery",
126 "applied_discounts": [],
127 "product_options": [],
128 "configurable_fields": [],
129 "discounted_total_inc_tax": "53.00",
130 "optionList": []
131 }
132 ],
133 "shipping_addresses": [
134 {
135 "url": "https://api.bigcommerce.com/stores/abcd1234/v2/orders/123/shipping_addresses",
136 "resource": "/orders/123/shipping_addresses"
137 }
138 ],
139 "coupons": [
140 {
141 "url": "https://api.bigcommerce.com/stores/abcd1234/v2/orders/123/coupons",
142 "resource": "/orders/123/coupons"
143 }
144 ],
145 "tax_provider_id": "",
146 "customer_locale": "en",
147 "store_default_currency_code": "USD",
148 "store_default_to_transactional_exchange_rate": "1.00",
149 "custom_status": "Invoice Sent",
150 "shippingAddress": [
151 {
152 "id": 85,
153 "order_id": 123,
154 "first_name": "Marie",
155 "last_name": "Curie",
156 "company": "Default Shipping / Great Buys Incorporated",
157 "street_1": "512 Bluebonnet Lane",
158 "street_2": "Suite 100",
159 "city": "Austin",
160 "zip": "78704",
161 "country": "United States",
162 "country_iso2": "US",
163 "state": "Texas",
164 "email": "mcurie@greatbuysinc.com",
165 "phone": "(512) 333-3333",
166 "items_total": 2,
167 "items_shipped": 0,
168 "shipping_method": "Free Shipping",
169 "base_cost": "0.00",
170 "cost_exc_tax": "0.00",
171 "cost_inc_tax": "0.00",
172 "cost_tax": "0.00",
173 "cost_tax_class_id": 0,
174 "base_handling_cost": "0.00",
175 "handling_cost_ex_tax": "0.00",
176 "handling_cost_inc_tax": "0.00",
177 "handling_cost_tax": "0.00",
178 "handling_cost_tax_class_id": 0,
179 "shipping_zone_id": 3,
180 "shipping_zone_name": "United States",
181 "shipping_quotes": {
182 "url": "https://api.bigcommerce.com/stores/abcd1234/v2/orders/123/shipping_addresses/185/shipping_quotes",
183 "resource": "/orders/123/shipping_addresses/185/shipping_quotes"
184 },
185 "form_fields": []
186 }
187 ],
188 "shipments": false,
189 "poNumber": "20250327-0001",
190 "money": {
191 "currency_location": "left",
192 "currency_token": "$",
193 "decimal_token": ".",
194 "decimal_places": 2,
195 "thousands_token": ","
196 }
197 },
198 "message": "SUCCESS"
199}
Retrieves detailed information for a specific B2B order. This endpoint's response provides more granular information than the [Get All Orders](#get-all-orders) endpoint. If the queried order originated with a quote, the negotiated discount will either be represented as an order discount or reflected in the product prices, depending on the type of discount that was applied. The `price_tax` field in the `products` array contains the amount of tax based on the item's non-discounted price, while `total_tax` contains the final tax amount after factoring in any discounts. Equivalent Storefront GraphQL API Query: `order`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).
Was this page helpful?
Previous

List Order Products

Next

List Ordered Products

Built with

Retrieves detailed information for a specific B2B order. This endpoint’s response provides more granular information than the Get All Orders endpoint.

If the queried order originated with a quote, the negotiated discount will either be represented as an order discount or reflected in the product prices, depending on the type of discount that was applied.

The price_tax field in the products array contains the amount of tax based on the item’s non-discounted price, while total_tax contains the final tax amount after factoring in any discounts.

Equivalent Storefront GraphQL API Query: order. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Path parameters

orderIdintegerRequired

The BigCommerce order ID. This parameter does not accept the B2B Edition order ID returned in certain Server to Server Orders endpoints.

Response

OK
codeintegerDefaults to 200
dataobject

Errors

404
Not Found Error